Apache Tomcat 6.0.51

## org.apache.catalina.ha.deploy
Class WarWatcher.WarFilter

    java.lang.Object
      org.apache.catalina.ha.deploy.WarWatcher.WarFilter

All Implemented Interfaces:
  java.io.FilenameFilter

Enclosing class:
  WarWatcher

    protected class WarWatcher.WarFilter

extends java.lang.Object
implements java.io.FilenameFilter

File name filter for war files

Constructor Summary
`protected` | `WarWatcher.WarFilter()`

Method Summary
`boolean` | `accept(java.io.File path, java.lang.String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WarWatcher.WarFilter

    protected WarWatcher.WarFilter()

Method Detail

### accept

    public boolean accept(java.io.File path,
                          java.lang.String name)

  Specified by:
    `accept` in interface `java.io.FilenameFilter`

Apache Tomcat 6.0.51

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.